/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
*/

var exec = require('cordova/exec');
var argscheck = require('cordova/argscheck');

var _noop = function(){};

function AppInfo(){

}



AppInfo.prototype.isInstalled = function (callback, appInfo) {
	var suc = _noop,
      	err = _noop;
  	if (typeof appInfo == 'function') {
	    //hdp调用，传了回调
	    suc = arguments[0];
	    err = arguments[1];
	    appInfo = arguments[2];
	} else {
	    suc = callback;
	}
    var getValue = argscheck.getValue;
    appInfo = getValue(appInfo, {});
    if(typeof appInfo != 'object') return ;
    exec(suc, err, "CDVAppInfo", "isInstalled", [appInfo]);
};



module.exports = new AppInfo();
